Subject: Re: BCM43224 hanging [3.2.0-rc4-00248-gb835c0f]

From: "Arend van Spriel" <[email-masked]>
Date: Thu, 8 Dec 2011 18:34:03 +0100

On 12/07/2011 08:08 PM, Nico Schottelius wrote:
> Update:
> 
> The hang situation always happens, when the nic does *not* have
> a connection. And it still covers all network processes (i.e.
> including sudo, wpa_supplicant, postfix, etc.).
> 
> Starting up the computer, having wpa_supplicant connect successfully,
> everything works fine.
> 
> Until the connection is lost or I issue "select_network 4", which
> changes to another network.
> 
> The problem also exists, if I startup wpa_supplicant and there
> is no network connection available.
> 
> Verified that this bug exists in my pathced 3.1.0-rc6-g443452b
> as well as in 3.2.0-rc4-00248-gb835c0f.
> 
> This is rather nasty, because it forces me to reboot as soon as
> I've started up wlan by accident.
> 
> Is there a workaround available somewhere (besides using USB-LAN)?
> 
> Attached are output of 3.1.0-rc6-g443452b, which is the same for
> all failing versions.
> 
> Cheers,
> 
> Nico

Could you try and see what happens when you kill wpa_supplicant.

Gr. AvS